Show / Hide Table of Contents

# Class SCHGauge

In-memory SCH job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<ScholarGauge>
SCHGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class SCHGauge : JobGaugeBase<ScholarGauge>

### Properties

| Improve this Doc View Source

#### Aetherflow

Gets the amount of Aetherflow stacks available.

##### Declaration

    public byte Aetherflow { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### DismissedFairy

Gets the last dismissed fairy.

##### Declaration

    public DismissedFairy DismissedFairy { get; }

##### Property Value

Type | Description
--- | ---
DismissedFairy |

| Improve this Doc View Source

#### FairyGauge

Gets the current level of the Fairy Gauge.

##### Declaration

    public byte FairyGauge { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SeraphTimer

Gets the remaining time Seraph is active in milliseconds.

##### Declaration

    public short SeraphTimer { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |